#params are: DeviceNo, DeviceName
echo "- Xenica: Start Preparing new extra disk {$DeviceName}"
  
diskname={$DeviceName}

diskpath=/dev/$diskname
lvpath=`lvdisplay | grep root | grep Path | awk '{print $3}'`
vgname=`lvdisplay | grep VG | head -1 | awk '{print $3}'`

sgdisk -e $diskpath
(echo n; echo ; echo ; echo ; echo 8e00; echo w; echo y;) | gdisk $diskpath
partprobe $diskpath
pvcreate $diskpath"1"
vgextend $vgname $diskpath"1"
lvextend -l +100%FREE $lvpath
resize2fs $lvpath
xfs_growfs $lvpath
